import '../entity/map_location.dart';

typedef MapLocationListener = void Function(MapLocation location);

abstract class MapSDKInterface {
  Future<String?> getPlatformName();

  Future<bool> init();

  ///interval 单位毫秒
  void receiveLocationStream({required MapLocationListener listener});

  Future<void> startLocation();
}
